#ifndef MYX_QT_TRANSLATORS_HPP_
#define MYX_QT_TRANSLATORS_HPP_

#pragma once

#include <myx/base/config.hpp>
#include <myx/qt/backports.hpp>

#include <QTranslator>

namespace myx {

namespace qt {

using QTranslatorsList = QList< QTranslator* >;

void append_translators( QTranslatorsList& translators, const QString& appName ); // NOLINT

} // namespace qt

} // namespace myx

#ifdef MYXLIB_HEADER_ONLY
#include "translators.cpp"
#endif

#endif // ifndef MYX_QT_TRANSLATORS_HPP_
